# SPDX-License-Identifier: MIT
%global project_name andika
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}

%global source_version 5.500
%global source_release 7
%global source_url     https://software.sil.org/%{project_name}/

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Andika New Basic
%global fonts_summary            SIL Andika New Basic, a font family for literacy and beginning readers
%global fonts_tags               %{expand:
Suggests: font(andika)
}
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
Andika New Basic is a limited-character-set (no extended IPA or Cyrillic)
version of Andika that includes regular, bold, italic and bold-italic faces.

Andika is a sans serif, Unicode-compliant font family designed especially for
literacy use, taking into account the needs of beginning readers. The focus is
on clear, easy-to-perceive letter-forms that will not be readily confused with
one another.

A sans serif font is preferred by some literacy personnel for teaching people
to read. Its forms are simpler and less cluttered than those of most serif
fonts. For years, literacy workers have had to make do with font families that
were not really suitable for beginning readers and writers. In some cases,
literacy specialists have had to tediously assemble letters from a variety of
font families in order to get all of the characters they need for their
particular language project, resulting in confusing and unattractive
publications. Andika addresses those issues.}

%auto_init
%auto_pkg

%sourcelist
https://software.sil.org/downloads/r/%{project_name}/%{archive_name}.zip
60-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
